> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capitalcheckin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get single collaborator status

> Retrieve current status for a specific collaborator



## OpenAPI

````yaml get /v1/collaborators/{id}/status
openapi: 3.1.0
info:
  title: Capital Check In API
  description: >-
    API for the Capital Check In platform - Employee check-in management system
    with identity verification, geolocation, and schedule management
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Capital Check In Support
    email: hi@capitalcheckin.app
    url: https://capitalcheckin.app
servers:
  - url: https://api.capitalcheckin.app
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/collaborators/{id}/status:
    get:
      tags:
        - Collaborators
      summary: Get single collaborator status
      description: Retrieve current status for a specific collaborator
      parameters:
        - name: id
          in: path
          required: true
          description: Collaborator ID
          schema:
            type: string
      responses:
        '200':
          description: Collaborator status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollaboratorStatusResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    CollaboratorStatusResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - active
            - inactive
            - pending
          description: Current collaborator status
        last_check_in:
          type: string
          format: date-time
          description: Last check-in timestamp
        last_check_out:
          type: string
          format: date-time
          description: Last check-out timestamp
        current_location:
          type: object
          properties:
            latitude:
              type: number
              description: Latitude coordinate
            longitude:
              type: number
              description: Longitude coordinate
            address:
              type: string
              description: Human-readable address
          description: Current location if available
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: OAuth2
      description: OAuth2 access token for authentication

````